Bug 195877 - cpuspeed misses fallback for ACPI-only speed stepping
cpuspeed misses fallback for ACPI-only speed stepping
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 02:35 EDT by Peter Bieringer
Modified: 2015-01-04 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 01:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-06-19 02:35:17 EDT
Description of problem:
While looking for a tool which uses ACPI speed stepping I found that cpuspeed
doesn't support this.

Version-Release number of selected component (if applicable):
cpuspeed-1.2.1-1.33

Additional info:
I found a nice tool called "scaler" which does the job:
http://users.utu.fi/~paemsu/scaler/

It uses /proc/acpi/processor/CPU0/throttling                                   
  for selecting CPU speed.

Can this code be implemented in "cpuspeed" as a fallback?
Comment 1 Dave Jones 2006-06-20 01:55:29 EDT
throttling != speed scaling, and most of the time, it's a really bad idea.

The upstream ACPI maintainers have also talked about removing this in future
kernels, so adding things depending on it, is also a bad idea.
Comment 2 Peter Bieringer 2006-06-20 02:03:54 EDT
Ok, I understand, also I've connected a AC power meter and have to recognize,
that throtteling won't save any power at all...so "scaler" is at least on this
desktop PC useless.

Note You need to log in before you can comment on or make changes to this bug.